API reference
Options
Option values and linked media
Get Linked Media
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/optionMedia/getLinkedMedia" \ -H "Content-Type: application/json" \ -d '{ "optionId": "string" }'{}Link Media
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/optionMedia/linkMedia" \ -H "Content-Type: application/json" \ -d '{ "mediaIds": [ "string" ], "optionId": "string", "value": "string" }'{}Set Links
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/optionMedia/setLinks" \ -H "Content-Type: application/json" \ -d '{ "links": [ { "mediaIds": [ "string" ], "optionId": "string", "value": "string" } ], "productId": "string" }'{}Create
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/options/create" \ -H "Content-Type: application/json" \ -d '{ "displayType": "buttons", "name": "string", "values": [ "string" ], "productId": "string" }'{}Delete
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/options/delete" \ -H "Content-Type: application/json" \ -d '{ "optionId": "string", "productId": "string" }'{}Reorder
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/options/reorder" \ -H "Content-Type: application/json" \ -d '{ "orderedIds": [ "string" ], "productId": "string" }'{}Update
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/options/update" \ -H "Content-Type: application/json" \ -d '{ "values": [ "string" ], "optionId": "string", "productId": "string" }'{}